# Guestfs Browser.
-# Copyright (C) 2010 Red Hat Inc.
+# Copyright (C) 2010-2011 Red Hat Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
.gitignore guestfs-browser.spec \
guestfs-browser.pod \
guestfs-browser.1 \
+ guestfs-browser.desktop \
+ test-desktop-file-validate.sh \
html/pod.css
CLEANFILES = *.cmi *.cmo *.cmx *.cmxa *.o guestfs-browser *~
+TESTS =
+
# These are listed here in alphabetical order.
SOURCES = \
cmdline.mli \
.ml.cmx:
$(OCAMLFIND) ocamlopt $(OCAMLCFLAGS) -c $< -o $@
+# Desktop file.
+desktopdir = $(datadir)/applications
+desktop_DATA = guestfs-browser.desktop
+
+TESTS += test-desktop-file-validate.sh
+
# Man page.
man_MANS = guestfs-browser.1
--- /dev/null
+#!/bin/sh -
+# Guestfs Browser.
+# Copyright (C) 2011 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+target=guestfs-browser.desktop
+
+if ! desktop-file-validate --help >/dev/null 2>&1; then
+ echo "install 'desktop-file-validate' program to validate the $target file"
+ exit 0
+fi
+
+exec desktop-file-validate "$target"